export default abstract class StateManagementProvider {
  abstract useGetQuery<DataType>(
    key: string,
    httpHandler: () => Promise<DataType>,
  ): { data: DataType | undefined; isLoading: boolean; error?: string };
}
